# - Find Google Test framework
# Find the google test installation and give corresponding **FLAGS**
#
# GTEST_CPPFLAGS    - flags to pass to the compiler
# GTEST_LDFLAGS     - flags to pass on the linker
# GTEST_CONFIG      - gtest-config program
# GTEST_FOUND       - TRUE if webots found 
#
#
# Created on : 4 jum. 2010
# author : Alexandre Tuleu
# Copyright 2010 EPFL Ecole Polytechnique Federale de Lausanne
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if(GTEST_CONFIG)
  set(GTEST_FIND_QUIETLY TRUE)
endif(GTEST_CONFIG)

find_program(GTEST_CONFIG gtest-config)

if(GTEST_CONFIG)
  execute_process(COMMAND ${GTEST_CONFIG} --cxxflags --cppflags OUTPUT_VARIABLE GTEST_CPPFLAGS)
  execute_process(COMMAND ${GTEST_CONFIG} --ldflags --libs OUTPUT_VARIABLE GTEST_LDFLAGS)
  string(REPLACE \n "" GTEST_CPPFLAGS ${GTEST_CPPFLAGS})#must stringify to avoid cahe error
  string(REPLACE \n "" GTEST_LDFLAGS ${GTEST_LDFLAGS})#must stringify to avoid cahe error
elseif(GTEST_CONFIG)
  set(GTEST_CPPFLAGS )
  set(GTEST_LDFLAGS )
endif(GTEST_CONFIG)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(GTEST DEFAULT_MSG GTEST_CONFIG GTEST_CPPFLAGS GTEST_LDFLAGS)

if(GTEST_FOUND)
  mark_as_advanced(GTEST_CONFIG GTEST_CPPFLAGS GTEST_LDFLAGS)
endif(GTEST_FOUND)