/**
 * \file MyDebug.h
 *
 *  \date Jun 15, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_MYDEBUG_H_
#define LIBAMARSI_QUAD_MYDEBUG_H_

#include <libamarsi-quad/utils/Debug.h>

//Here just define some ID that we will use through our code
struct MyDebug{
  //a first domain
  static Debug::Domain::ID MyDomain1;
  //a second one
  static Debug::Domain::ID MyDomain2;
};

// now we define useful macro to use more easily debug_output
#ifdef DEBUG
  #define debug_mydomain(domain, stream) Debug::out(MyDebug::domain)<<debug_header(domain)<< stream
#else
 #define debug_mydomain(domain ,stream )
#endif

#define debug_domain1(stream) debug_mydomain(MyDomain1 , stream )
#define debug_domain2(stream) debug_mydomain(MyDomain2 , stream )


#endif //LIBAMARSI_QUAD_MYDEBUG_H_
