/**
 * \defgroup benchmarkTool
 *
 * The design of the framework for the benchmark has been decide to be grouped
 * with the iCub simulator. Right now this tool is still in development. So
 * There is no automatic management of the benchmark right know.
 *
 * However The libamarsi-quad already have some interface to manually act on
 * the robot. It is almost certain that the same behavior will be used within
 * the benchmark test.
 *
 *
 * All of these tools are available through the amarsi::Supervisor class. There
 * is two main categories :
 * - Environment changes. These methods are able to change
 * elements around the robot, like putting him on a Slope. There is two way to use them.
 *   - within amarsi::Controller::userInitEnvironment(). This is called just
 *     before userInitSimulation().
 *   - anywhere else, but outside amarsi::Controller::userInitSimulation(). On this case
 *     the simulation needs to be resetted, so a call to
 *     amarsi::Supervisor::resetSimulation() is automatically perform. For the
 *     same reason, it's forbidden to call it inside
 *     amarsi::Controller::userInitSimulation() since it will then generate an
 *     infinite loop.
 * - Robot perturbation : These methods are able to push the robot with a given
 *  Force for a given time. The force doesn't spike but is smoothly added using
 *  a 1D dufferential equation for each component.
 * \ingroup user
 *
 *
 */
