/**
 * \defgroup sensors Sensors
 *
 * The group of Sensors accessible to the user.
 * \section Sensors Sensors in use for the Simplified Cheetah model.
 *
 * Some of the value used for the sensor by the model can be customized with the
 * \ref Preferences
 *
 *  See also \ref model .
 *
 *  <table>
 *    <tr>
 *      <th>type</th>
 *      <th>location</th>
 *      <th>access method </th>
 *      <th>Interval of returned values</th>
 *      <th>returned value</th>
 *    </tr>
 *    <tr>
 *      <td>Absolute position encoder</td>
 *      <td>first (proximal) knee joints</td>
 *      <td>amarsi::Controller::kneeEncoder()</td>
 *      <td> [0,pi] rad.s^{-1}</td>
 *      <td> double with a simulated 12 bits precision </td>
 *    </tr>
 *    <tr>
 *      <td>Force sensor</td>
 *      <td>toes</td>
 *      <td>amarsi::Controller::touchSensor()</td>
 *      <td> [0,100] N.m</td>
 *      <td> double with a simulated 12 bits precision </td>
 *    </tr>
 *    <tr>
 *      <td>Gyroscope and Accelerometer</td>
 *      <td>toe</td>
 *      <td>amarsi::Controller::gyro() and amarsi::Controller::accelerometer()</td>
 *      <td> [-inf,inf]</td>
 *      <td> c++ double </td>
 *    </tr>
 *  </table>
 *
 *
 * \ingroup user
 */
