/*
 * Copyright (c) 2008-2010 Mikaël Mayer, Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file         registered_messages.hpp
 * \date         17/11/2008
 * The enum of registered messages
 * \author        Mikaël Mayer
 */

#ifndef REGISTERED_MESSAGES_HPP_
#define REGISTERED_MESSAGES_HPP_

#include "message_private.hpp"

//#ifndef CUSTOM_COMMUNICATION_PROTOCOL
/**
 * The list of all available messages.
 * To include them all, #include "default_messages.hpp"
 * \ingroup Message
 */
enum MessageType {
  //messages_positions.hpp
  NEED_POSITIONS,
  POSITIONS,
  SET_POSITIONS,
  MOVE_FINISHED,

  //messages_lock.hpp
  LOCK_CONNECTOR,

  //messages_referential.hpp
  MREFERENTIAL,

  //Message for CPG
  NEURON_STATE,
  NEURON_LINK,
  NEURON_PARAMETER,
  NEURONS_NEED_DEFINITION,
  NEURONS_START,
  NEURONS_STOP,

  //message for network communication
  NETWORK_ESTIMATE_OF,
  NETWORK_OF_ESTIMATION,
  NETWORK_ARE_YOU_AVAILABLE,
  NETWORK_AVAILABLE,
  
  NB_REGISTERED_MESSAGE
};


//#endif
//#define NB_REGISTERED_MESSAGES 16

#endif /* REGISTERED_MESSAGES_HPP_ */
