/**
 * \file NodeResetter.cpp
 *
 *  \date Oct 25, 2010
 *  \author tuleu
 */

#include <webots/Servo.hpp>
#include <webots/Field.hpp>

#include <libamarsi-quad/common/WebotsExplorer.h>
#include "NodeResetter.h"

namespace amarsi {

	NodeResetter::NodeResetter(webots::Node* node)
		: d_node(node)
		, d_orientation(NULL){
		WebotsExplorer::getField(d_node,"rotation",&d_orientation);
		if(d_orientation)
			d_startingOrientation = Vector<4>(d_orientation->getSFRotation());
	}

	NodeResetter::~NodeResetter(){
	}

	void NodeResetter::reset(){
		d_orientation->setSFRotation(d_startingOrientation.toArray());
	}

}
