/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file SimpleActuator.cpp
 *
 * \date 26 nov. 2009
 * \author Alexandre Tuleu
 */
#include <libamarsi-quad/utils/Debug.h>
#include "SimpleActuator.h"

namespace amarsi {

	SimpleActuator::SimpleActuator(webots::Servo *servo, webots::Node * node)
	: Actuator()
	, d_servo(servo)
	, d_resetter(node){
		d_servo.setMode(ServoDriver::POSITION_DRIVEN);
	}

	SimpleActuator::~SimpleActuator() {

	}

	void SimpleActuator::updateState() {
		d_servo.update();
#ifdef DEBUG
		debug_out_nh(CONTROLLER,"pos : "<<d_servo.position()<<" order : "<<order()<<" rate : "<<d_servo.velocity()<<std::endl);
#endif
	}

	void SimpleActuator::setMode(Actuator::Mode m ){
		Actuator::setMode(m);
		d_servo.setMode(m == Actuator::TORQUE_CONTROLLED ? ServoDriver::TORQUE_DRIVEN
		                                               : ServoDriver::POSITION_DRIVEN);
	}
}
