/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file VoidActuator.h
 *
 *  \date May 11, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_VOIDACTUATOR_H_
#define LIBAMARSI_QUAD_VOIDACTUATOR_H_

#include "Actuator.h"

namespace amarsi {
  /**
   * An Actuator that is not implemented in the model. The purpose of thi class
   * is to provide an User interface of the library that will remain unchanged
   * in the case of new actuated joints will be added.
   *
   * \ingroup internal
   */
	class VoidActuator : public Actuator {
	public:
		VoidActuator();
		virtual ~VoidActuator();
		inline virtual void updateState(){}
		inline virtual void sendCommand(){}
		inline virtual double power() const {return 0.0;}
		inline virtual double torque() const {return 0.0;}
		inline virtual double velocity() const {return 0.0;}
		inline virtual double position() const {return 0.0;}
		inline virtual void reset() {}

	};
}
#endif // libamarsi_VOIDACTUATOR_H_
