/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file VectorTest.h
 *
 *  \date May 11, 2010
 *  \author tuleu
 */

#ifndef libamarsi_VECTORTEST_H_
#define libamarsi_VECTORTEST_H_

#include <gtest/gtest.h>
#include "Vector.h"


class VectorTest : public ::testing::Test {
public:

	virtual void SetUp(){
		a[0]=1;
		a[1]=2;
		a[2]=3;
		a[3]=4;

		b[0]=1;
		b[1]=2;
		b[2]=3;
		b[3]=4;


		c[0]=0;
		c[1]=0;
		c[2]=0;
		c[3]=0;

		d[0]=0;
		d[1]=1;
		d[2]=1;
		d[3]=0;
	}
protected :
	Vector<4> a,b,c,d;
};

#endif // libamarsi_VECTORTEST_H_
