/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file AtomicTestQuad.h
 *
 *  \date Aug 24, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_ATOMICTESTQUAD_H_
#define LIBAMARSI_QUAD_ATOMICTESTQUAD_H_
#include <libamarsi-bench/benchmarks/AtomicTest.h>
#include <libamarsi-quad/controller/State.h>
#include <libamarsi-quad/utils/Lock.h>
/**
 *
 */
namespace benchmark {

  class AtomicTestQuad : public AtomicTest {
  public:
    AtomicTestQuad();
    virtual ~AtomicTestQuad();

    void setUpPimp();
    void tearDownPimp();
    bool isStillValid();

    static void setSupervisorLock(const amarsi::Lock::Key & supervisorLockKey);

  protected :

    virtual void setUpPimpQuad()=0;
    virtual void tearDownPimpQuad()=0;
    virtual bool isStillValidQuad()=0;
    bool isStandingUp();

    double duration() const;

    double distance() const;

  private :
    static amarsi::Lock::Key s_supervisorLockKey;
    double d_duration;

  };


  inline double AtomicTestQuad::duration() const{
    return d_duration;
  }
}

#endif // LIBAMARSI_QUAD_ATOMICTESTQUAD_H_
