/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestCheetahPushes.h
 *
 *  \date Sep 1, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_TESTCHEETAHPUSHES_H_
#define LIBAMARSI_QUAD_TESTCHEETAHPUSHES_H_

/**
 *
 */
#include "AtomicTestQuad.h"

namespace benchmark {

  class TestCheetahPushes : public benchmark::AtomicTestQuad {
  public:
    TestCheetahPushes();
    virtual ~TestCheetahPushes();

    void computeOutputsPimp();

  protected :
    virtual void setUpPimpQuad();
    void tearDownPimpQuad();
    bool isStillValidQuad();

    virtual void applyPerturbation()=0;


    double amplitude() const;
    double pertubationDuration() const;

  private :
    bool d_perturbated;
    double d_startTime;
    double d_pertDuration;
    double d_amplitude;

    double d_startingXPosition;

  };


  inline double TestCheetahPushes::amplitude() const{
    return d_amplitude;
  }

  inline double TestCheetahPushes::pertubationDuration() const{
    return d_pertDuration;
  }
}

#endif // LIBAMARSI_QUAD_TESTCHEETAHPUSHES_H_
