/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestCheetahPushes3D.h
 *
 *  \date Sep 1, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_TESTCHEETAHPUSHES3D_H_
#define LIBAMARSI_QUAD_TESTCHEETAHPUSHES3D_H_

/**
 *
 */
#include "TestCheetahPushes.h"

namespace benchmark {

  class TestCheetahPushes3D : public benchmark::TestCheetahPushes {
    IS_A_PROTOTYPE_IMPLEMENTATION(TestCheetahPushes3D,AtomicTest)
    IS_AN_ATOMIC_TEST_WITH_NAME("cheetah-pushes-3d")
  public:
    TestCheetahPushes3D();
    virtual ~TestCheetahPushes3D();

  protected :
    virtual void setUpPimpQuad();
    void applyPerturbation();
  private :
    Vector3 d_direction;
  };
}

#endif // LIBAMARSI_QUAD_TESTCHEETAHPUSHES3D_H_
