/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestCheetahPushesSagital.cpp
 *
 *  \date Sep 1, 2010
 *  \author tuleu
 */
#include <libamarsi-quad/controller/Supervisor.h>

#include "TestCheetahPushesSagital.h"

namespace benchmark {

  TestCheetahPushesSagital::TestCheetahPushesSagital()
  : d_angle(0.0){


  }

  TestCheetahPushesSagital::~TestCheetahPushesSagital(){
  }

  void TestCheetahPushesSagital::setUpPimpQuad(){
    TestCheetahPushes::setUpPimpQuad();
    internalInputs("perturbation-angle",d_angle);
  }

  void TestCheetahPushesSagital::applyPerturbation(){
    std::cout<<"[Benchmark] Applying pertubation "<<amplitude()<<" d : "<<pertubationDuration()<<" angle "<<d_angle<<std::endl;
    amarsi::Supervisor::instance().addPerturbationInSagitalPlane(amplitude(),
                                                                 pertubationDuration(),
                                                                 d_angle);
  }
}
