/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestFrontStep.cpp
 *
 *  \date Sep 3, 2010
 *  \author tuleu
 */

#include <libamarsi-quad/controller/Supervisor.h>

#include "TestFrontStep.h"

namespace benchmark {

  TestFrontStep::TestFrontStep(){

  }



  TestFrontStep::~TestFrontStep(){
  }


  void TestFrontStep::setUpPimpQuad(){
    internalInputs("step-distance",d_distance);
    internalInputs("step-size",d_size);
    amarsi::Supervisor::instance().setFrontStep(d_size,d_distance);
  }
  void TestFrontStep::tearDownPimpQuad(){
    amarsi::Supervisor::instance().setFlatFloor();
  }
  bool TestFrontStep::isStillValidQuad(){
    return isStandingUp() && amarsi::Clock::getTime() < duration();
  }
  void TestFrontStep::computeOutputsPimp(){
    double distTravelled = amarsi::Supervisor::instance().state().position[0]
												   -amarsi::Supervisor::instance().state().startingPosition[0];
    outputs()["average-speed"] = (distTravelled-d_distance)/duration();
    outputs()["is-standing"]   = isStandingUp() ? 1.0 : 0.0 ;
  }
}
