/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestFrontStep.h
 *
 *  \date Sep 3, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_TESTFRONTSTEP_H_
#define LIBAMARSI_QUAD_TESTFRONTSTEP_H_

#include "AtomicTestQuad.h"
/**
 *
 */
namespace benchmark {

  class TestFrontStep : public AtomicTestQuad{
    IS_A_PROTOTYPE_IMPLEMENTATION(TestFrontStep,AtomicTest)
    IS_AN_ATOMIC_TEST_WITH_NAME("cheetah-step-down")
  public:
    TestFrontStep();
    virtual ~TestFrontStep();

    void computeOutputsPimp();

  protected :
      void setUpPimpQuad();
      void tearDownPimpQuad();
      bool isStillValidQuad();

  private :
    double d_size;
    double d_distance;
  };

}

#endif // LIBAMARSI_QUAD_TESTFRONTSTEP_H_
