/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestSideSlope.cpp
 *
 *  \date Sep 1, 2010
 *  \author tuleu
 */
#include <libamarsi-quad/controller/Supervisor.h>

#include "TestSideSlope.h"

namespace benchmark {

  TestSideSlope::TestSideSlope(){
  }

  TestSideSlope::~TestSideSlope(){
  }

  void TestSideSlope::setUpPimpQuad(){
    double angle(0.0);
    internalInputs("slope-angle",angle);

    amarsi::Supervisor::instance().setSlope(false,angle);
  }

	void TestSideSlope::computeOutputsPimp(){
		const amarsi::State & state = amarsi::Supervisor::instance().state();

		Vector3 fDirection(Vector3::EX);

		outputs()["average-speed"] = ((state.position - state.startingPosition)
		                              * fDirection ) / duration();
		outputs()["is-standing"]   =   isStandingUp() ? 1.0 : 0.0;
	}

}
