/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file TestTrivialLocomotion.cpp
 *
 *  \date Aug 23, 2010
 *  \author tuleu
 */
#include <libamarsi-quad/controller/Supervisor.h>
#include "TestTrivialLocomotion.h"

namespace benchmark {

  TestTrivialLocomotion::TestTrivialLocomotion(){

  }

  TestTrivialLocomotion::~TestTrivialLocomotion(){
  }


  void TestTrivialLocomotion::setUpPimpQuad(){
    d_startingPosition = amarsi::Supervisor::instance().state().position;
  }
  void TestTrivialLocomotion::tearDownPimpQuad(){
    amarsi::Supervisor::instance().resetSimulation();
  }
  void TestTrivialLocomotion::computeOutputsPimp(){
  	const amarsi::State & state = amarsi::Supervisor::instance().state();

  	Vector3 fDirection(state.frontDirection);
  	fDirection.y()=0.0;
  	fDirection.normalize();
    outputs()["speed"]= ((state.position - state.startingPosition) * fDirection)
  		                  / duration();
  }
  bool TestTrivialLocomotion::isStillValidQuad(){
  	const amarsi::State & state = amarsi::Supervisor::instance().state();
  	if(state.upDirection * state.startingUpDirection <0.0){
  		return false;
  	}
    return amarsi::Clock::getTime()< duration();
  }


}
