/**
 * \file Robot.cpp
 *
 *  \date Sep 22, 2010
 *  \author tuleu
 */

#include "Robot.h"
#include <libamarsi-quad/controller/Clock.h>
#define CHECK_FORBIDEN SetOfName::const_iterator fi = d_forbiddenName.find(name);\
  if(fi != d_forbiddenName.end())\
    return NULL;


namespace amarsi {

  Robot::Robot(webots::Robot *robot) :
    d_robot(robot){
  }

  Robot::~Robot(){
  }

  webots::Connector *Robot::getConnector(const std::string & name){
    return d_robot->getConnector(name);
  }

  double Robot::getTime() const{
    return Clock::getTime();
  }

  webots::Compass *Robot::getCompass(const std::string & name){
    return d_robot->getCompass(name);
  }

  webots::DistanceSensor *Robot::getDistanceSensor(const std::string & name){
    return d_robot->getDistanceSensor(name);
  }

  bool Robot::getSynchronization() const{
    return d_robot->getSynchronization();
  }

  webots::Pen *Robot::getPen(const std::string & name){
    return d_robot->getPen(name);
  }

  webots::Camera *Robot::getCamera(const std::string & name){
    return d_robot->getCamera(name);
  }

  webots::Display *Robot::getDisplay(const std::string & name){
    return d_robot->getDisplay(name);
  }

  const std::string Robot::getName() const{
    return d_robot->getName();
  }

  void Robot::registerForbiddenName(const std::string & name){
    d_forbiddenName.insert(name);
  }

  webots::GPS *Robot::getGPS(const std::string & name){
    return d_robot->getGPS(name);
  }

  int Robot::getMode() const{
    return d_robot->getMode();
  }

  webots::TouchSensor *Robot::getTouchSensor(const std::string & name){
    return d_robot->getTouchSensor(name);
  }

  const std::string Robot::getProjectPath() const{
    return d_robot->getProjectPath();
  }

  webots::Gyro *Robot::getGyro(const std::string & name){
    CHECK_FORBIDEN
    return d_robot->getGyro(name);
  }

  webots::LED *Robot::getLED(const std::string & name){
    return d_robot->getLED(name);
  }

  webots::Servo *Robot::getServo(const std::string & name){
    CHECK_FORBIDEN
    return d_robot->getServo(name);
  }

  webots::Receiver *Robot::getReceiver(const std::string & name){
    CHECK_FORBIDEN
    return d_robot->getReceiver(name);
  }

  webots::Accelerometer *Robot::getAccelerometer(const std::string & name){
    CHECK_FORBIDEN
    return d_robot->getAccelerometer(name);
  }

  webots::Emitter *Robot::getEmitter(const std::string & name){
    CHECK_FORBIDEN
    return d_robot->getEmitter(name);
  }

  webots::LightSensor *Robot::getLightSensor(const std::string & name){
    return d_robot->getLightSensor(name);
  }

}
