/**
 * \file PimpController-inl.h
 *
 *  \date Jun 17, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_PIMPCONTROLLERINL_H_
#define LIBAMARSI_QUAD_PIMPCONTROLLERINL_H_

#include <libamarsi-quad/libamarsi-quad-config.h>
#include <webots/Supervisor.hpp>
#include <libamarsi-quad/actuators/Actuator.h>

namespace amarsi {

	inline const ControllerPrimple::SetOfActuator& ControllerPrimple::actuators() const{
		return actuators_;
	}

	inline void ControllerPrimple::simulationQuit(){
#ifdef SIMULATION_QUIT_WITH_PARAMETER
		supervisor_->simulationQuit(1);
#else
		supervisor_->simulationQuit();
#endif
	}

#ifdef SIMULATION_QUIT_WITH_PARAMETER
	inline void ControllerPrimple::simulationQuit(unsigned int returnCode){
		supervisor_->simulationQuit(returnCode);
	}
#else
	inline void ControllerPrimple::simulationQuit(unsigned int){
		supervisor_->simulationQuit();
	}
#endif


	inline void ControllerPrimple::resetAllOrders() const{
		for(SetOfActuator::const_iterator actuator = actuators_.begin();
				actuator != actuators_.end();
				++actuator)
			(*actuator)->setOrder(0.0);
	}


}
#endif // libamarsi-quad_PIMPCONTROLLERINL_H_
