/*
 * Copyright (c) 2010 Ecole Polytechnique Fédérale de Lausanne
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file PimpControllerAmarsi.h
 *
 *  \date May 21, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD__PIMPCONTROLLERAMARSI_H_
#define LIBAMARSI_QUAD_PIMPCONTROLLERAMARSI_H_

#include "ControllerPrimple.h"

namespace amarsi {
  /**
   * Implementation of the PimpController for simplified version of the Cheetah.
   *
   * \ingroup internal
   */
  class ControllerPrimpleAmarsi : public ControllerPrimple{
  public:
    ControllerPrimpleAmarsi(webots::Supervisor *supervisor,
                         webots::Node * robotNode);
    virtual ~ControllerPrimpleAmarsi();

  protected :
    virtual void initActuators();
    virtual void initSensors();
    virtual void initModels();
  };

}

#endif // libamarsi-quad_PIMPCONTROLLERAMARSI_H_
