/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file ChainOfFilter.cpp
 *
 * \date 25 nov. 2009
 * \author Alexandre Tuleu
 */

#include "ChainOfFilter.h"
#include <algorithm>
using namespace std;

namespace Filtering {

  ChainOfFilter::ChainOfFilter() {
  }

  ChainOfFilter::~ChainOfFilter() {

  }

  double& ChainOfFilter::output(double& input){
    for(ListOfFilter::iterator filter=filters_.begin();
        filter!=filters_.end();
        ++filter)
      (*filter)->output(input);
    return input;
  }

  void ChainOfFilter::removeFilter(Filter* f){
    ListOfFilter::iterator fi=std::find(filters_.begin(),filters_.end(),f);
    if(fi!=filters_.end())
      filters_.erase(fi);
  }
}
