/**
 * \file Discretizer-inl.h
 *
 *  \date Jun 17, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_DISCRETIZER_INLINE_H_
#define LIBAMARSI_QUAD_DISCRETIZER_INLINE_H_
#include <cmath>
namespace Filtering {
  inline double Discretizer::min() const{
    return min_;
  }
  inline double Discretizer::max() const{
    return max_;
  }
  inline unsigned int Discretizer::precision() const{
    return precision_;
  }
  inline void Discretizer::setMin(double v){
    if(v>=max_)//should throw exception
      min_=max_-1.0;
    else
      min_=v;
    distance_=max_-min_;
  }
  inline void Discretizer::setMax(double v){
    if(v<=min_)
      max_=min_+1.0;
    else
      max_=v;
    distance_=max_-min_;

  }
  inline void Discretizer::setPrecision(unsigned int v){
    precision_=v>0?v:1;
    intervals_=std::pow(2.0,(int)precision_);
  }
}
#endif // LIBAMARSI_QUAD_DISCRETIZER_INLINE_H_
