/**
 * \file Discretizer.h
 *
 *  \date Jun 17, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_DISCRETIZER_H_
#define LIBAMARSI_QUAD_DISCRETIZER_H_

#include "Filter.h"

namespace Filtering {

  class Discretizer : public Filter {
  public:
    Discretizer(double min, double max, unsigned int precision);
    virtual ~Discretizer();
    virtual double & output(double & input);

    double min() const;
    double max() const;
    unsigned int precision() const;
    void setMin(double v);
    void setMax(double v);
    void setPrecision(unsigned int v);

  private :
    void init();
    double min_,max_;
    unsigned int precision_;
    double distance_;
    double intervals_;
  };

}

#endif // libamarsi-quad_DISCRETIZER_H_

#include "Discretizer-inl.h"
