/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file DoubleDerivative.cpp
 *
 * \date 10 déc. 2009
 * \author Alexandre Tuleu
 */

#include "DoubleDerivative.h"

namespace Filtering {

  DoubleDerivative::DoubleDerivative(double dt)
    : Filter()
    , initialized_(0)
    , dt2_(dt*dt){

  }

  DoubleDerivative::~DoubleDerivative() {
  }

  double& DoubleDerivative::output(double& input){
    double ret(0.0);
    if(initialized_==2){//both initialized.
      ret=(input+n2_-2*n1_)/dt2_;
    }else{//not initialized yet
      ++initialized_;
    }
    n2_=n1_;
    n1_=input;
    input=ret;
    return input;
  }

}
