/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file LowPass.cpp
 *
 * \date 25 nov. 2009
 * \author Alexandre Tuleu
 */

#include "LowPass.h"

namespace Filtering {

  LowPass::LowPass(double amount)
    : amount_(amount)
    , previous_(0.0){
  }

  LowPass::~LowPass() {
  }

  double& LowPass::output(double& input){
    double res=(1.0-amount_)*input+amount_*previous_;
    previous_=input;
    input= res;
    return input;
  }
}
