/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file Rate.cpp
 *
 * \date 10 déc. 2009
 * \author Alexandre Tuleu
 */

#include "Rate.h"

namespace Filtering {

  Rate::Rate(double dtDesired)
    : Filter()
    , previous_(0.0)
    , dt_(dtDesired)
    , initialized_(false){
  }

  Rate::~Rate() {
  }


  double & Rate::output(double& input){
    double ret(0.0);
    if(initialized_){
      ret=(input-previous_)/dt_;
    }else
      initialized_=true;
    previous_=input;
    input= ret;
    return input;
  }
}
