/*
 * Copyright (c) 2009-2010 Alexandre Tuleu
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file Rate.h
 *
 * \date 10 d�c. 2009
 * \author Alexandre Tuleu
 */

#ifndef RATE_H_
#define RATE_H_

#include "Filter.h"

namespace Filtering {
/**
 * 1-D derivation :
\f[
y_i=\frac{x_i-x_{i-1}}{\Delta t}
\f]
 */
  class Rate: public Filter {
    double previous_;
    /**
     * \f$ \Delta t \f$
     */
    double dt_;
    bool initialized_;
  public:
    /**
     * Standart Constructor.
     * @param dt \f$ \Delta t \f$
     * @return
     */
    Rate(double dt);
    virtual ~Rate();
    virtual double& output(double &input);
    double dt() const{
      return dt_;
    }
  };

}

#endif /* RATE_H_ */
