/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file FrontSlope.h
 *
 *  \date Jun 29, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_FRONTSLOPE_H_
#define LIBAMARSI_QUAD_FRONTSLOPE_H_

/**
 *
 */
#include "FloorElement.h"

namespace amarsi {

  class FrontSlope : public amarsi::FloorElement {
  public:
    FrontSlope(webots::Node* node1 , webots::Node* node2);
    virtual ~FrontSlope();
    double slope() const;
    void setSlope(double v);
  private :
    double d_slope;

  };
  inline double FrontSlope::slope() const{
    return d_slope;
  }

  inline void FrontSlope::setSlope(double v){
    d_slope=v;
    activeState().orientation[3]=v;
  }
}

#endif // LIBAMARSI_QUAD_FRONTSLOPE_H_
