/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file HeightMap.h
 *
 *  \date Jun 29, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_HEIGHTMAP_H_
#define LIBAMARSI_QUAD_HEIGHTMAP_H_

#include <cmath>

/**
 *
 */
#include "FloorElement.h"

namespace amarsi {

  class HeightMap : public amarsi::FloorElement {
  public:
    HeightMap(webots::Node * n);
    virtual ~HeightMap();
    double seed() const;
    void setSeed(double s);
  private :
    double d_seed;
  };

  inline double HeightMap::seed() const{
    return d_seed;
  }

  inline void HeightMap::setSeed(double s) {
    if(s>1.5)
      s=1.5;
    else if (s<-1.5)
      s=-1.5;
    d_seed=s;
    activeState().position[2]=s;
  }
}

#endif // LIBAMARSI_QUAD_HEIGHTMAP_H_
