/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file Slope.h
 *
 *  \date Aug 5, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_SLOPE_H_
#define LIBAMARSI_QUAD_SLOPE_H_

#include "FloorElement.h"
/**
 *
 */
namespace amarsi {

  class Slope : public FloorElement{
  public:
    enum Orientation{
      FRONT,
      SIDE};

    Slope(webots::Node* node);
    virtual ~Slope();

    Orientation orientation() const;
    void setOrientation(Orientation orientation);

    double slope() const;
    void setSlope(double v);
  private :
    Orientation d_orientation;
    double d_slope;
  };

  inline double Slope::slope() const{
    return d_slope;
  }
  inline Slope::Orientation Slope::orientation() const{
    return d_orientation;
  }
}

#endif // LIBAMARSI_QUAD_SLOPE_H_
