/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file LegKinematicModel.cpp
 *
 *  \date Jul 15, 2010
 *  \author tuleu
 */

#include "LegKinematicModel.h"

namespace amarsi {

  LegKinematicModel::LegKinematicModel() {
    s_models.insert(this);
  }

  LegKinematicModel::~LegKinematicModel() {
    s_models.erase(this);
  }

  void LegKinematicModel::updateAllModel() {
    for (SetOfModel::iterator model = s_models.begin();
         model != s_models.end(); ++model)
      (*model)->update();
  }

  LegKinematicModel::SetOfModel LegKinematicModel::s_models;

}
