/*
 * Copyright (c) 2010 Ecole Polytechnique Fédérale de Lausanne
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file PositionEncoder.cpp
 *
 *  \date May 18, 2010
 *  \author tuleu
 */

#include "PositionEncoder.h"
#include <cmath>
namespace amarsi {

  PositionEncoder::PositionEncoder(webots::Servo* s, int timestep,
                                   double min, double max,
                                   unsigned int precision, bool reverse)
    : ServoPositionSensor(s,timestep,reverse)
    , discretizer(min,max,precision){
  }

  PositionEncoder::~PositionEncoder() {
  }

  void PositionEncoder::update(){
    ServoPositionSensor::update();
    discretizer.output(position_);
  }

}
std::ostream & operator<<(std::ostream & out,
                          const amarsi::PositionEncoder & enc){
  return out<<"Encoder : [ "<<enc.position()<<" ]";
}
