/*
 * Copyright (c) 2010 Ecole Polytechnique Fédérale de Lausanne
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file ServoPositionSensor.cpp
 *
 *  \date May 18, 2010
 *  \author tuleu
 */

#include "ServoPositionSensor.h"
#include <webots/Servo.hpp>

namespace amarsi {

  ServoPositionSensor::ServoPositionSensor(webots::Servo* s, int timestep,
                                           bool reverse)
   : position_(0.0)
   , reverse_(reverse)
   , s_(s){
    s->enablePosition(timestep);
  }

  ServoPositionSensor::~ServoPositionSensor(){
  }

  void ServoPositionSensor::update(){
    position_ = reverse_?- s_->getPosition(): s_->getPosition() ;
  }
}
