/*
 * Copyright (c) 2010 EPFL (Ecole Polytechnique Fédérale de Lausanne)
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file Lock.h
 *
 *  \date Aug 26, 2010
 *  \author tuleu
 */

#ifndef LIBAMARSI_QUAD_LOCK_H_
#define LIBAMARSI_QUAD_LOCK_H_

/**
 *
 */
namespace amarsi {

  class Lock {
  public:
    class Key{
      friend class Lock;
    public :
      static const Key & getAnInvalidKey();

      virtual ~Key();
      void lock();
      void unlock();
      bool isAValidKey();

    protected :
      Key(Lock *associatedLock);

    private :
      static Key s_invalidKey;

      Lock *d_associatedLock;
    };

    friend class Lock::Key;

    Lock();
    virtual ~Lock();

    bool operator() ();

    Key getAKey();

  private :

    bool d_locked;

  };

}

#endif // LIBAMARSI_QUAD_LOCK_H_
