/*
 * Copyright (c) 2010 Ecole Polytechnique Fédérale de Lausanne
 *
 * This file is part of libamarsi-quad.
 *
 * libamarsi-quad is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libamarsi-quad is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libamarsi-quad.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/**
 * \file PreferenceReaderTest.h
 *
 *  \date May 10, 2010
 *  \author Alexandre Tuleu
 */

#ifndef LIBAMARSI_PREFERENCEREADERTEST_H_
#define LIBAMARSI_PREFERENCEREADERTEST_H_

#include <gtest/gtest.h>
#include <fstream>
#include "PreferenceReader.h"
class PreferenceReaderTest : public ::testing::Test{

protected:


  virtual void SetUp() {
  	std::ofstream file("/tmp/test-utils.pref", std::ios_base::trunc);
  	file<<"[core]"<<std::endl;
  	file<<"truc1 = 1"<<std::endl;
  	file<<"truc2 = 2.35"<<std::endl;
  	file<<"string = test string  "<<std::endl;
  	file<<"# [cached]"<<std::endl;
  	file<<"[component]"<<std::endl;
  	file<<"option = enabled"<<std::endl;
  	file<<"#option = disabled"<<std::endl;
  	file.close();

  	std::ofstream file2("/tmp/test-utils2.pref",std::ios_base::trunc);
  	file2<<"[core]"<<std::endl;
  	file2<<"truc3=3.36"<<std::endl;
  	file2<<"truc2=0"<<std::endl;
  	PreferenceReader::instance().read("/tmp/test-utils.pref");

  	std::ofstream file3("/tmp/test-utils3.pref",std::ios_base::trunc);
  	file3<<"[core2]"<<std::endl;
  	file3<<"val1 = true"<<std::endl;
  	file3<<"val2 = 1"<<std::endl;
  	file3<<"val3 = 0"<<std::endl;
  	file3<<"val4 = false"<<std::endl;
  	file3<<"val5 =  "<<std::endl;
  	file3<<"val6 =  no"<<std::endl;
  	file3<<"val7 =  disabled"<<std::endl;
  	PreferenceReader::instance().read("/tmp/test-utils3.pref");
  }

protected :
  // virtual void TearDown() {}
};

#endif // libamarsi_PREFERENCEREADERTEST_H_
